Уязвимость при обработке потоков данных в ядре Linux

Дата публикации:
10.11.2006
Дата изменения:
10.04.2009
Всего просмотров:
1281
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux 2.6.x

Описание:
Уязвимость позволяет локальному пользователю вызвать отказ в обслуживании системы.

Уязвимость существует из-за ошибки в функции "zlib_inflate()" при обработке определенных потоков данных. Злоумышленник может смонтировать специально сформированный cramfs образ и произвести операцию чтения, что приведет к повреждению памяти и отказу в обслуживании системы.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.19.2 с сайта производителя.

Ссылки: Linux 2.6.x zlib_inflate memory corruption

или введите имя

CAPTCHA